NNG_MSLEEP(3supp)

NAME
nng_msleep - sleep milliseconds

SYNOPSIS

    #include <nng/nng.h>
    void nng_msleep(nng_duration msec);

DESCRIPTION

The nng_msleep() blocks the caller for at least msec milliseconds.

    Note

    This function may block for longer than requested. The actual wait time is determined by the capabilities of the underlying system.

RETURN VALUES

None.

ERRORS

None.

SEE ALSO

nng_sleep_aio(3), nng_strerror(3), nng_clock(3supp), nng_duration(5), nng(7)